> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Settings

> Returns payroll settings for an entity, or the org-default row when no entity is given.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-payroll-settings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-payroll-settings:
    get:
      operationId: getPayrollSettings
      summary: Get Payroll Settings
      x-toku-required-scope: payroll:read
      description: >-
        Returns payroll settings for an entity, or the org-default row when no
        entity is given.


        Required scope: `payroll:read`
      parameters:
        - name: payrollEntityID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayrollSettingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPayrollSettingsResponse:
      type: object
      properties:
        payrollSettings:
          type:
            - object
            - 'null'
          properties:
            orgID:
              type:
                - string
                - 'null'
            createdAt:
              type:
                - string
                - 'null'
            updatedAt:
              type:
                - string
                - 'null'
            payrollSettingsID:
              type:
                - string
                - 'null'
            payrollApprovalDaysBeforePayDate:
              type:
                - number
                - 'null'
            payrollCutOffDaysBeforeApprovalDate:
              type:
                - number
                - 'null'
            terminationPayrollCutoffDay:
              type:
                - number
                - 'null'
            payrollEntityID:
              type:
                - string
                - 'null'
            minimumFiatPayInUSD:
              type:
                - string
                - 'null'
            calendarDates:
              type:
                - array
                - 'null'
              items:
                type: number
            payrollEntity:
              type:
                - object
                - 'null'
              properties:
                payrollEntityID:
                  type:
                    - string
                    - 'null'
                orgID:
                  type:
                    - string
                    - 'null'
                country:
                  type:
                    - string
                    - 'null'
                reportingCurrency:
                  type:
                    - string
                    - 'null'
                name:
                  type:
                    - string
                    - 'null'
                shortName:
                  type:
                    - string
                    - 'null'
                payrollSettingID:
                  type:
                    - string
                    - 'null'
                createdAt:
                  type:
                    - string
                    - 'null'
                updatedAt:
                  type:
                    - string
                    - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
